Skip to main content
POST
/
api
/
monitors
/
custom-monitors
/
v1
BatchCreateMonitor
curl --request POST \
  --url https://developer.synq.io/api/monitors/custom-monitors/v1 \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "monitors": [
    {
      "anomalyEngine": {
        "sensitivity": "SENSITIVITY_UNSPECIFIED"
      },
      "customNumeric": {
        "metricAggregation": "<string>"
      },
      "daily": {
        "minutesSinceMidnight": 719,
        "delayNumDays": 1,
        "onlyScheduleDelay": true
      },
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "monitoredId": {
        "airflowDag": {
          "integrationId": "<string>",
          "dagId": "<string>"
        }
      },
      "name": "<string>",
      "timePartitioning": {
        "expression": "<string>",
        "interval": "<string>"
      },
      "segmentation": {
        "expression": "<string>",
        "includeValues": {
          "values": [
            "<string>"
          ]
        },
        "excludeValues": {
          "values": [
            "<string>"
          ]
        }
      },
      "filter": "<string>",
      "severity": "SEVERITY_UNSPECIFIED",
      "description": "<string>",
      "configId": "<string>",
      "source": "SOURCE_APP",
      "timezone": "<string>"
    }
  ]
}
'
{
  "createdMonitorIds": [
    "<string>"
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
monitors
MonitorDefinition · object[]
Minimum array length: 1

filter_not_supported_for_table_stats // filter is not supported for table stats monitors segmentation_not_supported_for_field_stats_and_table_stats // Segmentation is not supported for field stats and table stats monitors time_partitioning_required_for_non_table_stats // time_partitioning is required when table_stats is not set, and must not be set when table_stats is set

Response

200 - application/json

Success

createdMonitorIds
string[]